BuildRequires: gcc-c++
Name:           egoboo-data
Version:        2.7.5
Release:        alt1_7
Summary:        Data files for the Egoboo RPG
Group:          Games/Other
License:        GPL+
URL:            http://egoboo.sourceforge.net/
# This is http://downloads.sourceforge.net/egoboo/egoboo-data-2.7.5.tar.gz
# with the non free fonts removed
Source0:        %{name}-clean-%{version}.tar.gz
BuildRequires:  ImageMagick
BuildArch:      noarch
# dejavu gets used as a replacement for the non free fonts
Requires:       fonts-ttf-dejavu icon-theme-hicolor
# so that we get uninstalled together with egoboo
Requires:       egoboo >= %{version}
Source44: import.info

%description
Data files for the Egoboo RPG. 


%prep
%setup -q
sed -i 's/\r//' Changelog.txt Readme.txt
rm -r modules/firedom.mod/objects/*.obj/CVS


%build
convert basicdat/icon.bmp -transparent '#c8c8c8' egoboo.png


%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/egoboo
cp -a controls.txt setup.txt basicdat modules players \
  $RPM_BUILD_ROOT%{_datadir}/egoboo
ln -s ../../fonts/ttf/dejavu/DejaVuSans.ttf \
  $RPM_BUILD_ROOT%{_datadir}/egoboo/basicdat/Negatori.ttf

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 egoboo.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%files
%doc *.pdf Changelog.txt Readme.txt
%{_datadir}/egoboo
%{_datadir}/icons/hicolor/64x64/apps/egoboo.png


%changelog
* Thu Feb 17 2011 Igor Vlasenko <viy@altlinux.ru> 2.7.5-alt1_7
- converted from Fedora by srpmconvert script

